- Development Integration
- /
- SDK
- /
- Java
- /
Management module
- /
Manage metering and billing
- /
- Get all rights
¶ Get all benefits
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
Get all benefits of the current user pool
¶ Method Name
ManagementClient.getAllRightsItem
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|
¶ Sample Code
package test.management;
import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.CostGetAllRightItemRespDto;
import cn.authing.sdk.java.dto.CostGetCurrentUsageRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
public class GetAllRightsItemTest {
// Need to be replaced with your GenAuth Access Key ID
private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
// Need to be replaced with your GenAuth Access Key Secret
private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";
public static void main(String[] args) throws Throwable {
ManagementClientOptions clientOptions = new ManagementClientOptions();
clientOptions.setAccessKeyId(ACCESS_KEY_ID);
clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
// If you are a private deployment customer, you need to set the GenAuth service domain name
// clientOptions.setHost("https://api.your-authing-service.com");
ManagementClient client = new ManagementClient(clientOptions);
CostGetAllRightItemRespDto allRightsItem = client.getAllRightsItem();
System.out.println(JsonUtils.serialize(allRightsItem));
}
}
¶ Request Response
Type: CostGetAllRightItemRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code. You can use this status code to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | RightItemRes | Response data |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"rightsItems": {
"rightsModelCode": "SocialConnections",
"rightsModelName": "SocialConnections",
"dataType": "1: Quantity type, 2: Number read-only, no measurement, 3: Assertion type, 4: String read-only",
"dataValue": "0"
}
}
}
¶ Data Structure
¶ RightItemRes
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| rightsItems | array | Yes | Response data nested type:RightItemDto。 |
¶ RightItemDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| rightsModelCode | string | Yes | Rights code | SocialConnections |
| rightsModelName | string | Yes | Rights Name | SocialConnections |
| dataType | string | Yes | Rights data type | 1: Quantity type, 2: Read-only numeric value, no measurement, 3: Assertion type, 4: Read-only string |
| dataValue | string | Yes | Rights value | 0 |
